# Function format

Overload implementation.

#### Param: args

The arguments.

- format(date): string

- Formats a date for display in the current locale.

  #### Parameters

  - date: Date

    The date to format.

  #### Returns string

- format(format, date): string

- Formats a date for display.

  #### Parameters

  - format: string

    See utilities/format/date!DateFormatter.format.

  - date: Date

    The date to format.

  #### Returns string

- format(options, date): string

- Formats a date for display.

  #### Parameters

  - options: FormatOptions

    Specifies the format settings to use.

  - date: Date

    The date to format.

  #### Returns string